<?php
echo '<p><b>Mise à jour base de données <i class="fas fa-angle-double-right"></i> Version 0.34</b></p><ul>';

// correction de la table etab_effectifs si nécessaire
$etab = mysqli_query($bdd,"SELECT * FROM ".$prefix."_etab_effectifs WHERE etab_id = 0");
if(mysqli_num_rows($etab)>0) {
	foreach($etab as $eff) {
		mysqli_query($bdd,"UPDATE ".$prefix."_etab_effectifs SET etab_id = '1' WHERE etab_id = '0'");
	}
	echo '<li>Correction de la table etab_effectifs si nécessaire.</li>';
}

// suppression d'events pour des journées fermées sans suppression préalable
$dayoffs = mysqli_query($bdd,"SELECT * FROM ".$prefix."_calendrier WHERE statut ='0'");
$events_nb = 0;
foreach($dayoffs as $dayoff) {
	$events = mysqli_query($bdd,"SELECT * FROM ".$prefix."_edtevent WHERE dtstart LIKE '".substr($dayoff['date'],0,4).substr($dayoff['date'],5,2).substr($dayoff['date'],8,2)."%'");
	$events_nb += mysqli_num_rows($events);
	foreach($events as $event) {
		mysqli_query($bdd,"DELETE FROM ".$prefix."_userevent WHERE uid = '".$event['uid']."'");
		mysqli_query($bdd,"DELETE FROM ".$prefix."_edtevent WHERE uid = '".$event['uid']."'");
	}
}
echo '<li>Suppression d\'events (ou briques) pour des journées qui ont été fermées sans que ces briques aient été enlevées au préalable ('.$events_nb.' event(s) ou brique(s) concernés).</li>';

// mise à jour du paramètre pour les créneaux précédents :
$crprechoix_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_crprechoix'"));
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$crprechoix_info['valeur']."h' WHERE param_nom = 'freq_crprechoix'");
echo '<li>Mise à jour du paramétrage relatif à l\'affichage des inscrits du créneau précédent.</li>';

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.34' WHERE param_nom = 'version_bdd'");
echo '<li>Mise à jour de la base de données effectuée - version_bdd 0.34.</li></ul>';
?>